.title{
    padding-top: 150px;;
    text-align:center;
}


.contain{
    margin-left:auto;
    margin-right: auto;
    height: 800px;
    width: 80%;
    flex-direction:row;
    display:flex;
    border : 2px solid green;
    flex-direction: nowrap;

    
}

.flex{
    width: 50%;
    justify-content: space-around;
    flex:auto;
    display : flex;
    flex-direction:column;
    border : 2px solid red;
    text-align:center;
}

.grid{
    width:50%;
    flex:auto;
    top:0;
    border : 2px solid black;
    grid-template-columns: repeat(20, 1fr) ;
    grid-template-rows: repeat(40, 1fr) ;
    grid-gap:2;
    display:grid;
    text-align:center;
 }
 .titregrid{
    grid-column-start: 2;
    grid-column-end: 20;
    grid-row-start: 3;
    grid-row-end: 10;

 }

 .titregrid{
    grid-column-start: 2;
    grid-column-end: 20;
    grid-row-start: 3;
    grid-row-end: 10;

 }

.historique2{
    grid-column-start: 1;
    grid-column-end: 20;
    grid-row-start: 10;
    grid-row-end: 15;

}

.blockutil1 {
    border: 2px solid blue;
    height: 150px;
    width: 400px;
    margin: auto;
}

.blockutil2 {
    display: flex;
    border: 2px solid blue;
    height: 150px;
    width: 400px;
    margin: auto;
}

.blockutil3 {
    display: flex;
    border: 2px solid blue;
    height: 150px;
    width: 400px;
    margin: auto;
}

.blockutil3a {
    display: flex;
    flex-direction: column;
    border-right: 2px solid red;
    height: auto;
    width: 200px;
}

.blockutil3b {
    display: flex;
    flex-direction: column-reverse;
    height: auto;
    width: 200px;
}

.blockutil4 {
    display: flex;
    border: 2px solid blue;
    height: 150px;
    width: 400px;
    margin: auto;
}

.blockutilg1 {
    border: 2px solid blue;
    height: 150px;
    width: 400px;
    margin: auto;
}

.blockutilg2 {
    display: grid;
    border: 2px solid blue;
    height: 150px;
    width: 400px;
    margin: auto;
}

.blockutilg3 {
    display: flex;
    border: 2px solid blue;
    height: 150px;
    width: 400px;
    margin: auto;
}

.blockutilg3a {
    display: grid;
    grid-template-columns: 1fr 1fr;
    border-right: 2px solid red;
    height: auto;
    width: 200px;
}

.blockutilg3b {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 3em 1.6em 1.6em;
    height: auto;
    width: 200px;
}

.blockutilg4 {
    display: flex;
    border: 2px solid blue;
    height: 150px;
    width: 400px;
    margin: auto;
}

.uti1 {
    color: white;
    background-color: aqua;
    text-align: center;
    height: 25px;
    width: 100px;
    font-size: 20px;
}

.uti2 {
    color: white;
    background-color: blueviolet;
    text-align: center;
    height: 25px;
    width: 100px;
    font-size: 20px;
}

.uti3 {
    color: white;
    background-color: darkolivegreen;
    text-align: center;
    height: 25px;
    width: 100px;
    font-size: 20px;
}

.uti4 {
    color: white;
    background-color: coral;
    text-align: center;
    height: 25px;
    width: 100px;
    font-size: 20px;
}

.uti5 {
    color: white;
    background-color: goldenrod;
    text-align: center;
    height: 25px;
    width: 100px;
    font-size: 20px;
}


.utiliser2{
    grid-column-start: 1;
    grid-column-end: 20;
    grid-row-start: 19;
    grid-row-end: 25;
}
.navigateurs2{
    grid-column-start: 1;
    grid-column-end: 20;
    grid-row-start: 27;
    grid-row-end: 31;
}
.comparaison2{    
    grid-column-start: 1;
    grid-column-end: 20;
    grid-row-start: 35;
    grid-row-end: 40;}